import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available game parameters codes
  static const String parameterCodeLayout = 'layout';
  static const List<String> availableParameters = [
    parameterCodeLayout,
  ];

  // layout: available values
  static const String layoutValueFrench = 'default';
  static const List<String> allowedLayoutValues = [
    layoutValueFrench,
  ];
  // layout: default value
  static const String defaultLayoutValue = layoutValueFrench;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeLayout:
        return DefaultActivitySettings.allowedLayoutValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
